Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EPF » Localization EPFC 1.5.1.1
Localization EPFC 1.5.1.1 [message #655538] Mon, 21 February 2011 16:11 Go to next message
OThery  is currently offline OThery
Messages: 2
Registered: February 2011
Junior Member
Hello,

I have to localize EPFC 1.5.1.1 in french.
I tried to copy nls pack 1.5.0.4 but some words are not translated. It seems that the org.eclipse.epf.publish.layout nls files are not taken in account.
Could you help me ?

Olivier
Re: Localization EPFC 1.5.1.1 [message #655563 is a reply to message #655538] Mon, 21 February 2011 19:01 Go to previous messageGo to next message
Bruce MacIsaac is currently offline Bruce MacIsaac
Messages: 35
Registered: July 2009
Member
I can't help with your specific question, but as an FYI, IBM's commercial superset of EPF Composer, Rational Method Composer, is available in French.
Re: Localization EPFC 1.5.1.1 [message #655697 is a reply to message #655563] Tue, 22 February 2011 10:52 Go to previous messageGo to next message
OThery  is currently offline OThery
Messages: 2
Registered: February 2011
Junior Member
Thank you for your advice Bruce, but I would like to solve my problem with EPFC.
In fact, I have a solution : to copy french localized files instead of english ones, but it is not the right way to localize.

My problem is about osgi plugin : I think that I have to modify the MANIFEST.MF file, but I don't know exactly what.

Here is the MANIFEST.MF for org.eclipse.epf.publish.layout

Manifest-Version: 1.0
Bundle-SymbolicName: org.eclipse.epf.publish.layout
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.epf.publish.layout.LayoutPlugin
Bundle-Version: 1.5.0.v20101109-1240
Eclipse-LazyStart: true
Bundle-Vendor: %providerName
Require-Bundle: org.eclipse.ui,org.eclipse.core.runtime,org.eclipse.epf.comm on
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ClassPath: layout.jar
Export-Package: org.eclipse.epf.publish.layout

Here is the MANIFEST.MF for org.eclipse.epf.publish.layout.nl1

Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Version: 1.2.0.200910121800
Bundle-SymbolicName: org.eclipse.epf.publish.layout.nl1 ;singleton := true
Bundle-Name: %nlFragmentName
Fragment-Host: org.eclipse.epf.publish.layout;bundle-version="[1.5.0,2.0.0) "
Bundle-Localization: nl_fragment
Bundle-Vendor: %nlProviderName
Bundle-ClassPath: nl1.jar
Re: Localization EPFC 1.5.1.1 [message #683804 is a reply to message #655697] Tue, 14 June 2011 13:02 Go to previous message
Tarcisio Pereira is currently offline Tarcisio Pereira
Messages: 10
Registered: April 2011
Location: Brazil
Junior Member
Did you resolved your problem? If yes, can you help me? I need translate to portuguese, but I think the solution it'll be the same for french.

Thanks.

Regards.
Previous Topic:Mapping Method Content to CMMi practices
Next Topic:Hungarian translation?
Goto Forum:
  


Current Time: Thu Oct 02 08:46:14 GMT 2014

Powered by FUDForum. Page generated in 0.13908 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software